---
title: RegExp.prototype.ignoreCase
slug: Web/JavaScript/Reference/Global_Objects/RegExp/ignoreCase
tags:
  - JavaScript
  - Property
  - Prototype
  - Reference
  - RegExp
  - Regular Expressions
---
<div>{{JSRef}}</div>

<p>The <strong><code>ignoreCase</code></strong> property indicates whether or not the "<code>i</code>" flag is used with the regular expression. <code>ignoreCase</code> is a read-only property of an individual regular expression instance.</p>

<div>{{EmbedInteractiveExample("pages/js/regexp-prototype-ignorecase.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 1)}}</div>

<h2 id="Description">Description</h2>

<p>The value of <code>ignoreCase</code> is a {{jsxref("Boolean")}} and <code>true</code> if the "<code>i</code>" flag was used; otherwise, <code>false</code>. The "<code>i</code>" flag indicates that case should be ignored while attempting a match in a string.</p>

<p>You cannot change this property directly.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_ignoreCase">Using ignoreCase</h3>

<pre class="brush: js notranslate">var regex = new RegExp('foo', 'i');

console.log(regex.ignoreCase); // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-regexp.prototype.ignorecase', 'RegExp.prototype.ignoreCase')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RegExp.ignoreCase")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("RegExp.lastIndex")}}</li>
 <li>{{jsxref("RegExp.prototype.global")}}</li>
 <li>{{jsxref("RegExp.prototype.multiline")}}</li>
 <li>{{jsxref("RegExp.prototype.source")}}</li>
 <li>{{jsxref("RegExp.prototype.sticky")}}</li>
</ul>
